# Contribution guidelines
Thank you for showing your interest in the repository and the idea. I am grateful to be working with fellow developers.

## Raising Issues
*Issues may be raised only upon problems raised while using the main and tc-version branches.* 

Note that alpha branch code is highly unstable and is expected to break, kindly do not raise issues regarding it.
When raising an issue, try your best to include the following information:
- Which branch were you using when things broke?
- What was your input?
- What was the throwback/error message received, if any?
- In case of no error message, how was the output different from expected?
- Was the problem in video rendering/subtitle display/video controls?
- What was the expected output?

If some infromation is not available to you, you should mention that too.

## Responding to issues
*When contributing, you can contribute to any branch.
The issues page will give you a list of issues you can resolve in the main branch.*

When contributing code to repository, kindly use modularised code. 
Don't worry too much about the code style. The project is in the nascent stage, and code style is
not a worry at the point.

In your pull request, kindly mention the following
- The issue/problem you resolve
- An overview/high level idea of your solution
- Dependencies of your solution
- Caveats/known drawbacks of your solution, if any

Solutions with fewer dependencies will always be appreciated.
